System Requirements

The LMNtal system runs on virtually any platform (including Windows, Cygwin, and UNIX/Linux) running the Java Development Kit (JDK) or the Java Runtime Environment (JRE), version 1.6 or higher.

To use lmnc and lmnr commands (see How to Use page) or the foreign-language interface, or to create libraries, JDK is required to compile Java programs you provide or generated by the LMNtal compiler. Otherwise, JRE should be fine.

Downloading LMNtal

Click here to download the latest version (1.21.20111226) of the LMNtal system. This version supports compilation into Java.

In case you encounter a problem, here is a stable old version.

The old, interpreter version coming as a single .jar file is still available from the Download Interpreter page.

Installation

Create a new folder/directory (referred to as $LMNTAL_HOME in this online manual) and expand the downloaded .zip file there. That's all!

Note: The $LMNTAL_HOME folder should not be created under "Documents and Settings", "My Documents", or any other folder whose name contains white spaces.

Three subdirectories, bin, lib, and sample will be created:

  • The bin subdirectory contains the system (.jar file) and several shellscripts for Windows, Cygwin and UNIX/Linux.
  • The lib subdirectory contains the library API (source and class files).
  • The sample subdirectory contains program examples.

Please note that the API and examples are constantly growing.

Now proceed to the How to Use page and enjoy.


Reload   New Edit Freeze Diff Upload Copy Rename   Front page List of pages Search Recent changes Backup   Help   RSS of recent changes
Last-modified: 2017-03-02 (Thu) 03:32:49 (266d)